Package org.jacoco.report

## Class DirectorySourceFileLocator

- java.lang.Object
- - org.jacoco.report.InputStreamSourceFileLocator
  - - org.jacoco.report.DirectorySourceFileLocator

All Implemented Interfaces:
  `ISourceFileLocator`

    public class DirectorySourceFileLocator
    extends InputStreamSourceFileLocator

Locator for source files that picks source files from a given directory in the file system.

### Constructor Summary

Constructors
`DirectorySourceFileLocator​(java.io.File directory, java.lang.String encoding, int tabWidth)` Creates a new locator that searches for source files in the given directory.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.io.InputStream` `getSourceStream​(java.lang.String path)` Tries to locate the given source file and opens its binary content.

### Methods inherited from class org.jacoco.report.InputStreamSourceFileLocator

`getSourceFile, getTabWidth`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectorySourceFileLocator

    public DirectorySourceFileLocator​(java.io.File directory,
                                      java.lang.String encoding,
                                      int tabWidth)

Creates a new locator that searches for source files in the given directory.

Parameters:
  `directory` - directory to search for source file
  `encoding` - encoding of the source files, `null` for platform default encoding
  `tabWidth` - tab width in source files as number of blanks

### Method Detail

#### getSourceStream

    protected java.io.InputStream getSourceStream​(java.lang.String path)
                                           throws java.io.IOException

Description copied from class: `InputStreamSourceFileLocator`
Tries to locate the given source file and opens its binary content.

Specified by:
  `getSourceStream` in class `InputStreamSourceFileLocator`
Parameters:
  `path` - local path to the resource
Returns:
  stream if the file could be located, `null` otherwise
Throws:
  `java.io.IOException` - in case of problems while opening the stream